| Home | Libraries | People | FAQ | More

###### http::header::equal_range (2 of 2 overloads)

(Inherited from `http::basic_fields`)

Returns a range of iterators to the fields with the specified name.

###### Synopsis

    std::pair< const_iterator, const_iterator >
    equal_range(
        string_view name) const;

###### Description

This function returns the first and last iterators to the ordered fields with the specified name.

###### Remarks

The fields represented by the range are ordered. Its elements are guaranteed to match the field ordering of the message. This means users do not need to sort this range when comparing fields of the same name in different messages.

###### Parameters

Name | Description
--- | ---
`name` | The field name.

###### Return Value

A range of iterators to fields with the same name, otherwise an empty range.